# 1.27.0[−][src]Module core::hint

Hints to compiler that affects how code should be emitted or optimized. Hints may be compile time or runtime.

## Functions

black_box | Experimental An identity function that hints to the compiler to be maximally pessimistic about what `black_box` could do.
spin_loop | Emits a machine instruction to signal the processor that it is running in a busy-wait spin-loop ("spin lock").
unreachable_unchecked⚠ | Informs the compiler that this point in the code is not reachable, enabling further optimizations.